Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1086608 - Review Request: jna-posix - Java library for accessing common POSIX functions
Summary: Review Request: jna-posix - Java library for accessing common POSIX functions
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-04-11 07:56 UTC by Michal Srb
Modified: 2016-11-07 22:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 14:13:12 UTC


Attachments (Terms of Use)

Description Michal Srb 2014-04-11 07:56:49 UTC
Spec URL: http://msrb.fedorapeople.org/review/jna-posix.spec
SRPM URL: http://msrb.fedorapeople.org/review/jna-posix-1.0.3-1.fc21.src.rpm
Description: jna-posix is a lightweight cross-platform POSIX emulation layer for
Java, written in Java and leveraging the JNA library.
Fedora Account System Username: msrb

Comment 1 gil cattaneo 2014-04-11 10:34:55 UTC
-------------------------------------------------------
 T E S T S
-------------------------------------------------------
Running org.jruby.ext.posix.FileStatTest
Tests run: 2, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.151 sec - in org.jruby.ext.posix.FileStatTest
Running org.jruby.ext.posix.PasswdTest
Tests run: 2, Failures: 0, Errors: 2, Skipped: 0, Time elapsed: 0.001 sec <<< FAILURE! - in org.jruby.ext.posix.PasswdTest
nonExistantUserReturnsNull(org.jruby.ext.posix.PasswdTest)  Time elapsed: 0.001 sec  <<< ERROR!
java.lang.UnsupportedOperationException: Not supported yet.
	at org.jruby.ext.posix.DummyPOSIXHandler.unimplementedError(DummyPOSIXHandler.java:24)
	at org.jruby.ext.posix.JavaPOSIX.getpwnam(JavaPOSIX.java:86)
	at org.jruby.ext.posix.PasswdTest.nonExistantUserReturnsNull(PasswdTest.java:61)
getpwnam(org.jruby.ext.posix.PasswdTest)  Time elapsed: 0 sec  <<< ERROR!
java.lang.UnsupportedOperationException: Not supported yet.
	at org.jruby.ext.posix.DummyPOSIXHandler.unimplementedError(DummyPOSIXHandler.java:24)
	at org.jruby.ext.posix.JavaPOSIX.getpwnam(JavaPOSIX.java:86)
	at org.jruby.ext.posix.PasswdTest.getpwnam(PasswdTest.java:53)
Running org.jruby.ext.posix.GroupTest
Tests run: 2, Failures: 0, Errors: 2, Skipped: 0, Time elapsed: 0 sec <<< FAILURE! - in org.jruby.ext.posix.GroupTest
nonExistantGroupReturnsNull(org.jruby.ext.posix.GroupTest)  Time elapsed: 0 sec  <<< ERROR!
java.lang.UnsupportedOperationException: Not supported yet.
	at org.jruby.ext.posix.DummyPOSIXHandler.unimplementedError(DummyPOSIXHandler.java:24)
	at org.jruby.ext.posix.JavaPOSIX.getgrnam(JavaPOSIX.java:90)
	at org.jruby.ext.posix.GroupTest.nonExistantGroupReturnsNull(GroupTest.java:50)
getgrnam(org.jruby.ext.posix.GroupTest)  Time elapsed: 0 sec  <<< ERROR!
java.lang.UnsupportedOperationException: Not supported yet.
	at org.jruby.ext.posix.DummyPOSIXHandler.unimplementedError(DummyPOSIXHandler.java:24)
	at org.jruby.ext.posix.JavaPOSIX.getgrnam(JavaPOSIX.java:90)
	at org.jruby.ext.posix.GroupTest.getgrnam(GroupTest.java:44)
Running org.jruby.ext.posix.IDTest
Tests run: 2, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.001 sec - in org.jruby.ext.posix.IDTest
Running org.jruby.ext.posix.HeapStructTest
Tests run: 4, Failures: 0, Errors: 4, Skipped: 0, Time elapsed: 0 sec <<< FAILURE! - in org.jruby.ext.posix.HeapStructTest
unsigned8(org.jruby.ext.posix.HeapStructTest)  Time elapsed: 0 sec  <<< ERROR!
java.lang.NoClassDefFoundError: Could not initialize class com.sun.jna.Native
	at com.sun.jna.Pointer.<clinit>(Pointer.java:41)
	at org.jruby.ext.posix.HeapStruct.<clinit>(HeapStruct.java:52)
	at org.jruby.ext.posix.HeapStructTest.unsigned8(HeapStructTest.java:44)
unsignedLong(org.jruby.ext.posix.HeapStructTest)  Time elapsed: 0 sec  <<< ERROR!
java.lang.NoClassDefFoundError: org.jruby.ext.posix.HeapStruct
	at org.jruby.ext.posix.HeapStructTest.unsignedLong(HeapStructTest.java:76)
unsigned16(org.jruby.ext.posix.HeapStructTest)  Time elapsed: 0 sec  <<< ERROR!
java.lang.NoClassDefFoundError: org.jruby.ext.posix.HeapStruct
	at org.jruby.ext.posix.HeapStructTest.unsigned16(HeapStructTest.java:54)
unsigned32(org.jruby.ext.posix.HeapStructTest)  Time elapsed: 0 sec  <<< ERROR!
java.lang.NoClassDefFoundError: org.jruby.ext.posix.HeapStruct
	at org.jruby.ext.posix.HeapStructTest.unsigned32(HeapStructTest.java:64)
Running org.jruby.ext.posix.JavaFileStatTest
Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0 sec - in org.jruby.ext.posix.JavaFileStatTest
Results :
Tests in error: 
  PasswdTest.nonExistantUserReturnsNull:61 ? UnsupportedOperation Not supported ...
  PasswdTest.getpwnam:53 ? UnsupportedOperation Not supported yet.
  GroupTest.nonExistantGroupReturnsNull:50 ? UnsupportedOperation Not supported ...
  GroupTest.getgrnam:44 ? UnsupportedOperation Not supported yet.
  HeapStructTest.unsigned8:44 ? NoClassDefFound Could not initialize class com.s...
  HeapStructTest.unsignedLong:76 NoClassDefFound org.jruby.ext.posix.HeapStruct
  HeapStructTest.unsigned16:54 NoClassDefFound org.jruby.ext.posix.HeapStruct
  HeapStructTest.unsigned32:64 NoClassDefFound org.jruby.ext.posix.HeapStruct
Tests run: 13, Failures: 0, Errors: 8, Skipped: 0

Comment 2 gil cattaneo 2014-04-11 10:39:17 UTC
build fails and you should use

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

Comment 3 Michal Srb 2014-04-14 04:26:18 UTC
I am not sure where the problem could be. Builds fine in koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6734180

Comment 4 gil cattaneo 2014-04-14 11:29:23 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/jna-posix
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names
the package should be replaced by jnr-posix
you should open a bug report and explain why you want to re-introduce this package
e.g. https://fedorahosted.org/rel-eng/ticket/5156

===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (unversioned/unknown version)", "GPL
     (unversioned/unknown version)", "Unknown or generated". 45 files have
     unknown license. Detailed output of licensecheck in /home/gil/1086608
     -jna-posix/review-jna-posix/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[!]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
  see above
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jna-posix-
     javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jna-posix-1.0.3-1.fc21.noarch.rpm
          jna-posix-javadoc-1.0.3-1.fc21.noarch.rpm
          jna-posix-1.0.3-1.fc21.src.rpm
jna-posix.src: W: strange-permission create-tarball.sh 0775L
jna-posix.src: W: invalid-url Source0: jna-posix-1.0.3.tar.gz
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jna-posix jna-posix-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
jna-posix (rpmlib, GLIBC filtered):
    jpackage-utils

jna-posix-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jna-posix:
    jna-posix
    mvn(org.jruby.ext.posix:jna-posix)

jna-posix-javadoc:
    jna-posix-javadoc



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -vpn jna-posix -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Upstream Release Monitoring 2015-12-14 10:40:59 UTC
jerboaa's scratch build of java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 for git://pkgs.fedoraproject.org/java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 and rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12181621

Comment 6 Michal Srb 2016-11-07 14:13:12 UTC
Oops, sorry. This should have been closed long time age. Closing now.


Note You need to log in before you can comment on or make changes to this bug.